RHSA-2004:638-01: Updated gd packages fix security issues
Posted on: 12/17/2004 07:15 AM

Updated gd packages are available for Red Hat Enterprise Linux 2.1 and 3

----------------------------------------------------------------------
Red Hat Security Advisory

Synopsis: Updated gd packages fix security issues
Advisory ID: RHSA-2004:638-01
Advisory URL: https://rhn.redhat.com/errata/RHSA-2004-638.html
Issue date: 2004-12-17
Updated on: 2004-12-17
Product: Red Hat Enterprise Linux
Keywords: gd buffer overflow gdMalloc gdCalloc gdRealloc
CVE Names: CAN-2004-0941 CAN-2004-0990
----------------------------------------------------------------------

1. Summary:

Updated gd packages that fix security issues with overflow in various memory allocation calls are now available.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1 - i386, ia64
Red Hat Linux Advanced Workstation 2.1 - ia64
Red Hat Enterprise Linux ES version 2.1 - i386
Red Hat Enterprise Linux WS version 2.1 - i386
Red Hat Enterprise Linux AS version 3 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Desktop version 3 - i386, x86_64
Red Hat Enterprise Linux ES version 3 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 3 - i386, ia64, x86_64

3. Problem description:

The gd packages contain a graphics library used for the dynamic creation of images such as PNG and JPEG.

Several buffer overflows were reported in various memory allocation calls. An attacker could create a carefully crafted image file in such a way that it could cause ImageMagick to execute arbitrary code when processing the image. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CAN-2004-0990 to these issues.

While researching the fixes to these overflows, additional buffer overflows were discovered in calls to gdMalloc. The Common Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name CAN-2004-0941 to these issues.

Users of gd should upgrade to these updated packages, which contain a backported security patch, and are not vulnerable to these issues.

4. Solution:

Before applying this update, make sure that all previously-released errata relevant to your system have been applied. Use Red Hat Network to download and update your packages. To launch the Red Hat Update Agent, use the following command:

up2date

For information on how to install packages manually, refer to the following Web page for the System Administration or Customization guide specific to your system:

http://www.redhat.com/docs/manuals/enterprise/

5. Bug IDs fixed (http://bugzilla.redhat.com/ for more info):

137246 - CAN-2004-0990 integer overflow in PNG handling.
138808 - CAN-2004-0941 additional overflows in gd

6. RPMs required:

Red Hat Enterprise Linux AS (Advanced Server) version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AS/en/os/SRPMS/gd-1.8.4-4.21.1.src.rpm
0398a5a807dee5b9e50305be0e41c46f gd-1.8.4-4.21.1.src.rpm

i386:
32f90ee0ee49fbaa0e9d83c32d773d44 gd-1.8.4-4.21.1.i386.rpm
ba50f74a3c45ceb6c6994fd16dd97846 gd-devel-1.8.4-4.21.1.i386.rpm
e6cd529cd117dc14073f011a7cf35631 gd-progs-1.8.4-4.21.1.i386.rpm

ia64:
f3415f854fcc70689d9487386c5f5497 gd-1.8.4-4.21.1.ia64.rpm
3db197bc13dfc65b6debfc4e14eed791 gd-devel-1.8.4-4.21.1.ia64.rpm
a4f021b229c4b4d9710888b06fa0b57c gd-progs-1.8.4-4.21.1.ia64.rpm

Red Hat Linux Advanced Workstation 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1AW/en/os/SRPMS/gd-1.8.4-4.21.1.src.rpm
0398a5a807dee5b9e50305be0e41c46f gd-1.8.4-4.21.1.src.rpm

ia64:
f3415f854fcc70689d9487386c5f5497 gd-1.8.4-4.21.1.ia64.rpm
3db197bc13dfc65b6debfc4e14eed791 gd-devel-1.8.4-4.21.1.ia64.rpm
a4f021b229c4b4d9710888b06fa0b57c gd-progs-1.8.4-4.21.1.ia64.rpm

Red Hat Enterprise Linux ES version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1ES/en/os/SRPMS/gd-1.8.4-4.21.1.src.rpm
0398a5a807dee5b9e50305be0e41c46f gd-1.8.4-4.21.1.src.rpm

i386:
32f90ee0ee49fbaa0e9d83c32d773d44 gd-1.8.4-4.21.1.i386.rpm
ba50f74a3c45ceb6c6994fd16dd97846 gd-devel-1.8.4-4.21.1.i386.rpm
e6cd529cd117dc14073f011a7cf35631 gd-progs-1.8.4-4.21.1.i386.rpm

Red Hat Enterprise Linux WS version 2.1:

SRPMS:
ftp://updates.redhat.com/enterprise/2.1WS/en/os/SRPMS/gd-1.8.4-4.21.1.src.rpm
0398a5a807dee5b9e50305be0e41c46f gd-1.8.4-4.21.1.src.rpm

i386:
32f90ee0ee49fbaa0e9d83c32d773d44 gd-1.8.4-4.21.1.i386.rpm
ba50f74a3c45ceb6c6994fd16dd97846 gd-devel-1.8.4-4.21.1.i386.rpm
e6cd529cd117dc14073f011a7cf35631 gd-progs-1.8.4-4.21.1.i386.rpm

Red Hat Enterprise Linux AS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3AS/en/os/SRPMS/gd-1.8.4-12.3.1.src.rpm
6a074a9b46c1c433fb6379ddd7ffa39c gd-1.8.4-12.3.1.src.rpm

i386:
0277cba330cefb9ab1ebea7f15fa32c8 gd-1.8.4-12.3.1.i386.rpm
d5b6b426e2e06f02a3d0e5f3180cf33c gd-devel-1.8.4-12.3.1.i386.rpm
a8f4b292b1ef66452790e4dd2648c7a2 gd-progs-1.8.4-12.3.1.i386.rpm

ia64:
ca3b5794089578356666c672355ad71f gd-1.8.4-12.3.1.ia64.rpm
839ca9fd43bd92ec9bcbd324954f71e5 gd-devel-1.8.4-12.3.1.ia64.rpm
7c0174f34dbe662e8852e1ffe25d8372 gd-progs-1.8.4-12.3.1.ia64.rpm

ppc:
11c259e294f22220dad62674e7a54210 gd-1.8.4-12.3.1.ppc.rpm
67456fab43a1b9d601c62a54a446be27 gd-devel-1.8.4-12.3.1.ppc.rpm
2f900edcde2c6771bd82ce414133717b gd-progs-1.8.4-12.3.1.ppc.rpm

s390:
568eaf1ea4294befde060da07c4812c7 gd-1.8.4-12.3.1.s390.rpm
4873cab38494fc574740b645d5673e33 gd-devel-1.8.4-12.3.1.s390.rpm
336923033fdc04176a0279d9127570a3 gd-progs-1.8.4-12.3.1.s390.rpm

s390x:
adc06b68372a7d7bf375bbd88867b9af gd-1.8.4-12.3.1.s390x.rpm
cd195ca8593ec6404d01c82be4db5c47 gd-devel-1.8.4-12.3.1.s390x.rpm
83f844555bdeb93f28c30e00fe2cf90d gd-progs-1.8.4-12.3.1.s390x.rpm

x86_64:
7cbaf334f370e69a009cc3e173bd43b2 gd-1.8.4-12.3.1.x86_64.rpm
6e28767d002c70958e5f1f38a5420d0a gd-devel-1.8.4-12.3.1.x86_64.rpm
003ce60cef5006f3c495aff9e767f4e2 gd-progs-1.8.4-12.3.1.x86_64.rpm

Red Hat Desktop version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3desktop/en/os/SRPMS/gd-1.8.4-12.3.1.src.rpm
6a074a9b46c1c433fb6379ddd7ffa39c gd-1.8.4-12.3.1.src.rpm

i386:
0277cba330cefb9ab1ebea7f15fa32c8 gd-1.8.4-12.3.1.i386.rpm
d5b6b426e2e06f02a3d0e5f3180cf33c gd-devel-1.8.4-12.3.1.i386.rpm
a8f4b292b1ef66452790e4dd2648c7a2 gd-progs-1.8.4-12.3.1.i386.rpm

x86_64:
7cbaf334f370e69a009cc3e173bd43b2 gd-1.8.4-12.3.1.x86_64.rpm
6e28767d002c70958e5f1f38a5420d0a gd-devel-1.8.4-12.3.1.x86_64.rpm
003ce60cef5006f3c495aff9e767f4e2 gd-progs-1.8.4-12.3.1.x86_64.rpm

Red Hat Enterprise Linux ES version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3ES/en/os/SRPMS/gd-1.8.4-12.3.1.src.rpm
6a074a9b46c1c433fb6379ddd7ffa39c gd-1.8.4-12.3.1.src.rpm

i386:
0277cba330cefb9ab1ebea7f15fa32c8 gd-1.8.4-12.3.1.i386.rpm
d5b6b426e2e06f02a3d0e5f3180cf33c gd-devel-1.8.4-12.3.1.i386.rpm
a8f4b292b1ef66452790e4dd2648c7a2 gd-progs-1.8.4-12.3.1.i386.rpm

ia64:
ca3b5794089578356666c672355ad71f gd-1.8.4-12.3.1.ia64.rpm
839ca9fd43bd92ec9bcbd324954f71e5 gd-devel-1.8.4-12.3.1.ia64.rpm
7c0174f34dbe662e8852e1ffe25d8372 gd-progs-1.8.4-12.3.1.ia64.rpm

x86_64:
7cbaf334f370e69a009cc3e173bd43b2 gd-1.8.4-12.3.1.x86_64.rpm
6e28767d002c70958e5f1f38a5420d0a gd-devel-1.8.4-12.3.1.x86_64.rpm
003ce60cef5006f3c495aff9e767f4e2 gd-progs-1.8.4-12.3.1.x86_64.rpm

Red Hat Enterprise Linux WS version 3:

SRPMS:
ftp://updates.redhat.com/enterprise/3WS/en/os/SRPMS/gd-1.8.4-12.3.1.src.rpm
6a074a9b46c1c433fb6379ddd7ffa39c gd-1.8.4-12.3.1.src.rpm

i386:
0277cba330cefb9ab1ebea7f15fa32c8 gd-1.8.4-12.3.1.i386.rpm
d5b6b426e2e06f02a3d0e5f3180cf33c gd-devel-1.8.4-12.3.1.i386.rpm
a8f4b292b1ef66452790e4dd2648c7a2 gd-progs-1.8.4-12.3.1.i386.rpm

ia64:
ca3b5794089578356666c672355ad71f gd-1.8.4-12.3.1.ia64.rpm
839ca9fd43bd92ec9bcbd324954f71e5 gd-devel-1.8.4-12.3.1.ia64.rpm
7c0174f34dbe662e8852e1ffe25d8372 gd-progs-1.8.4-12.3.1.ia64.rpm

x86_64:
7cbaf334f370e69a009cc3e173bd43b2 gd-1.8.4-12.3.1.x86_64.rpm
6e28767d002c70958e5f1f38a5420d0a gd-devel-1.8.4-12.3.1.x86_64.rpm
003ce60cef5006f3c495aff9e767f4e2 gd-progs-1.8.4-12.3.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from https://www.redhat.com/security/team/key.html#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0941
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0990

8. Contact:

The Red Hat security contact is secalert@redhat.com. More contact details at https://www.redhat.com/security/team/contact.html

Copyright 2004 Red Hat, Inc.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_2004638_01_updated_gd_packages_fix_security_issues.html)